﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics35.Web.v9.2, Version=9.2.20092.1, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">

        function selectionChanging(sender, args) {

            // proceed as usual if multi-selection is keyboard 
            if (sender.get_multipleSelectionType() == $IG.DropDownMultipleSelectionType.Keyboard)
                return;

            var key = args.get_browserEvent().keyCode;
            if (key == Sys.UI.Key.pageUp || key == Sys.UI.Key.pageDown || key == Sys.UI.Key.down
            || key == Sys.UI.Key.up || key == Sys.UI.Key.home || key == Sys.UI.Key.end) {

                args.set_cancel(true);
            }

        }

        // this is to prevent setting the input text to the item's text while
        // navigating with up and down arrow keys 
        function valueChanging(sender, args) {

            // proceed as usual if multi-selection is keyboard 
            if (sender.get_multipleSelectionType() == $IG.DropDownMultipleSelectionType.Keyboard)
                return;
                
            var key = args.get_browserEvent().keyCode;
            if (key == Sys.UI.Key.down || key == Sys.UI.Key.up) {
                args.set_cancel(true);
            }

        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager runat="server"></asp:ScriptManager>
    <div>
        <ig:WebDropDown ID="WebDropDown1" runat="server" Width="200px" EnableMultipleSelection="true" MultipleSelectionType="Checkbox" EnableClosingDropDownOnSelect="false">
        <ClientEvents SelectionChanging="selectionChanging" ValueChanging="valueChanging" />
        <Items>
        <ig:DropDownItem Text="Item 1"></ig:DropDownItem>
        <ig:DropDownItem Text="Item 2"></ig:DropDownItem>
        <ig:DropDownItem Text="Item 3"></ig:DropDownItem>
        <ig:DropDownItem Text="Item 4"></ig:DropDownItem>
        <ig:DropDownItem Text="Item 5"></ig:DropDownItem>
        <ig:DropDownItem Text="Item 6"></ig:DropDownItem>
        <ig:DropDownItem Text="Item 7"></ig:DropDownItem>
        <ig:DropDownItem Text="Item 8"></ig:DropDownItem>
        </Items>
        </ig:WebDropDown>
    </div>
    </form>
</body>
</html>
